Skip to main content
`Ctrl`+`K`

# PetscObjectGetOptionsPrefix

Gets the prefix of the `PetscObject` used for searching in the options database

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectGetOptionsPrefix(PetscObject obj, const char *prefix[])

## Input Parameter

- obj - any PETSc object, for example a `Vec`, `Mat` or `KSP`.

## Output Parameter

- prefix - pointer to the prefix string used is returned

## See Also

`PetscOptionsCreate()`, `PetscOptionsDestroy()`, `PetscObjectSetOptionsPrefix()`, `PetscObjectAppendOptionsPrefix()`, `PetscObjectPrependOptionsPrefix()`, `TSGetOptionsPrefix()`, `SNESGetOptionsPrefix()`, `KSPGetOptionsPrefix()`

## Level

advanced

## Location

src/sys/objects/prefix.c

## Examples

src/ts/tutorials/ex53.c
src/ts/tutorials/ex18.c
src/snes/tutorials/ex36.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages